Skip to main content
`Ctrl`+`K`

# scipy.special.erfi

scipy.special.erfi(z, out=None) = <ufunc 'erfi'>

  Imaginary error function, `-i erf(i z)`.

  Parameters:
    z array_like

      Real or complex valued argument

    out ndarray, optional

      Optional output array for the function results

  Returns:
    scalar or ndarray

      Values of the imaginary error function

  See also

  `erf`, `erfc`, `erfcx`, `dawsn`, `wofz`

  Notes

  Added in version 0.12.0.

  References

  [1]

  Steven G. Johnson, Faddeeva W function implementation. http://ab-initio.mit.edu/Faddeeva

  Examples

      >>> import numpy as np
      >>> from scipy import special
      >>> import matplotlib.pyplot as plt
      >>> x = np.linspace(-3, 3)
      >>> plt.plot(x, special.erfi(x))
      >>> plt.xlabel('$x$')
      >>> plt.ylabel('$erfi(x)$')
      >>> plt.show()